Bug 549189 - (Djagios) Review Request: Djagios - Djagios is an open source Nagios web based configuration tool with a complete Python Nagios API
Review Request: Djagios - Djagios is an open source Nagios web based configu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-12-20 15:22 EST by Kris Buytaert
Modified: 2010-11-16 11:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 11:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kris Buytaert 2009-12-20 15:22:13 EST
Spec URL: http://www.krisbuytaert.be/download/djagios.spec
SRPM URL: http://www.krisbuytaert.be/download/djagios-0.1.3-1.src.rpm
Description:

Djagios is an open source Nagios web based configuration tool with a complete Py
thon Nagios API.

The main goal of the tool was to make Nagios usable for non-Nagios admins. The i
nitial install and configuration would have to be done by Nagios administrators.
 But once done ordinary users can add servers, appliances, devices, services the
mselves.



Note: This is my first package !
Comment 1 Fabian Affolter 2009-12-21 07:52:46 EST
Just some quick comments on your spec file.

Please check your files with rpmlint.

[fab@localhost SRPMS]$ rpmlint djagios-0.1.3-1.src.rpm 
djagios.src: W: summary-ended-with-dot Djagios is an open source Nagios web based configuration tool with a complete Python Nagios API..
djagios.src: E: summary-too-long Djagios is an open source Nagios web based configuration tool with a complete Python Nagios API..
djagios.src: W: name-repeated-in-summary Djagios
djagios.src: E: description-line-too-long Djagios is an open source Nagios web based configuration tool with a complete Python Nagios API.
djagios.src: E: description-line-too-long The main goal of the tool was to make Nagios usable for non-Nagios admins. The initial install and configuration would have to be done by Nagios administrators. But once done ordinary users can add servers, appliances, devices, services themselves.
djagios.src: W: no-version-in-last-changelog
1 packages and 0 specfiles checked; 3 errors, 3 warnings.

- Please replace '%define' with '%global' according to the Packaging Guidelines
  http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

- You must use macros.
  http://fedoraproject.org/wiki/How_to_create_an_RPM_package#Macros
Comment 2 Kris Buytaert 2009-12-21 09:20:14 EST
(In reply to comment #1)

Running rpmlint on the specfile rather than the src rpm apparently wasn't my smartest move .

Rpmlint issues are gone.

I've replaced all %defines with %global  

But I guess I need some more detail on where you want me to use macro's..

Thnx for the feedback !
Comment 3 Fabian Affolter 2009-12-21 10:08:41 EST
(In reply to comment #2)
>(In reply to comment #1)
> But I guess I need some more detail on where you want me to use macro's..

Here '/usr/share/djagios-0.1/'

Your are defining in the head of the file '%global djagiosdir %{_datadir}/djagios'.  I think this is not needed.  At least I can see where it's used.

A empty line between the changelog entries would be nice.  You will see that those entries will be parsed to a website and with a blank line it's easier to ready.
Comment 4 Kris Buytaert 2009-12-21 15:49:07 EST
I've updated the  whitespace , and Used and replaced the %djagiosdir with the correct path.

thnx in advance for your comments !
Comment 5 Fabian Affolter 2009-12-21 16:48:48 EST
Can you please the updated files (spec and SRPM)?
Comment 7 Matthias Runge 2010-03-11 05:50:23 EST
did you try building via mock --rebuild ?

You should include 
BuildRequires: python2-devel 
in your spec -file

After including BuildRequires in spec file, 
rpmbuild -ba djagios.spec gives me (mock too):

BUILDROOT/djagios-0.1.3-1.fc12.i386
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.6/site-packages/djagios-0.1.3-py2.6.egg-info
Comment 8 Christoph Wickert 2010-03-11 06:16:51 EST
Although it is minor, please change the summary and remove "Djagios is an open source". "Foo is ..." is redundant and all our packages are FOSS.
Comment 9 Till Maas 2010-06-30 09:54:02 EDT
Hey Kris, are you still interested in joining the Fedora package maintainers? The last comments here are 3 months old not have not been answered by you.

Did you perform some unofficial reviews?

If you are not interested anymore or are just lacking the time currently, please let us know.
Comment 10 Jason Tibbitts 2010-11-16 11:08:56 EST
No response in half a year; closing.

Note You need to log in before you can comment on or make changes to this bug.